From cf6573beac245de3f985f2d94fe55e73e5ff0c70 Mon Sep 17 00:00:00 2001
From: Hugo Beauzee-Luyssen <beauze.h@gmail.com>
Date: Mon, 14 Sep 2009 19:27:55 +0200
Subject: [PATCH 3/3] Solved potential crash in invmem codec

---
 modules/codec/invmem.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/modules/codec/invmem.c b/modules/codec/invmem.c
index 85c3723..7b6d97f 100644
--- a/modules/codec/invmem.c
+++ b/modules/codec/invmem.c
@@ -191,6 +191,7 @@ static picture_t *DecodeBlock( decoder_t *p_dec, block_t **pp_block )
     if( p_sys->p_pic != NULL )
         picture_Release( p_sys->p_pic );
     p_sys->p_pic = decoder_NewPicture( p_dec );
+    if ( !p_sys->p_pic ) return NULL;
     p_sys->p_pic->b_force = true;
     p_sys->p_pic->p->i_pitch = p_dec->p_sys->i_pitch;
     p_sys->p_pic->date = p_block->i_pts > 0 ? p_block->i_pts : p_block->i_dts;
-- 
1.6.3.3

